Package org.eclipse.mat.dtfj

## Class InitDTFJ

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.mat.dtfj.InitDTFJ

All Implemented Interfaces:
  `java.util.EventListener`, `IRegistryChangeListener`, `org.osgi.framework.BundleActivator`

    public class InitDTFJ
    extends Plugin
    implements IRegistryChangeListener

Controls the loading of this plugin and finds the available DTFJ implementations.

### Nested Class Summary

Nested Classes
`static class` `InitDTFJ.DynamicInfo` This is created and called from the MAT parser handling code It provides a list of parsers E.g.

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
`InitDTFJ()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getPreferenceStore()`
`void` `registryChanged​(IRegistryChangeEvent event)` DTFJ implementation added/removed.
`void` `start​(org.osgi.framework.BundleContext context)` Start the bundle - find DTFJ implementations and convert to parsers.
`void` `stop​(org.osgi.framework.BundleContext context)` Stop the bundle, deregister parsers associated with DTFJ.

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InitDTFJ

    public InitDTFJ()

### Method Detail

#### start

    public void start​(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

Start the bundle - find DTFJ implementations and convert to parsers. Register listener for new DTFJ implementations.

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `Plugin`
Throws:
  `java.lang.Exception`

#### stop

    public void stop​(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

Stop the bundle, deregister parsers associated with DTFJ. Deregister listener for new DTFJ implementations.

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `Plugin`
Throws:
  `java.lang.Exception`

#### registryChanged

    public void registryChanged​(IRegistryChangeEvent event)

DTFJ implementation added/removed.

Specified by:
  `registryChanged` in interface `IRegistryChangeListener`

#### getPreferenceStore

    public java.lang.Object getPreferenceStore()